Qt 5.6 | Qt 3D | C++ Classes | QStencilMask

Qt 5.6.3 Reference Documentation

# QStencilMask Class

(Qt3DRender::QStencilMask)

Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- backMask : uint
- frontMask : uint

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QStencilMask(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QStencilMask()
uint | backMask() const
uint | frontMask() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBackMask(uint mask)
void | setFrontMask(uint mask)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | backMaskChanged(uint backMask)
void | frontMaskChanged(uint frontMask)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### backMask : uint

Access functions:

uint | backMask() const
void | setBackMask(uint mask)

Notifier signal:

void | backMaskChanged(uint backMask)

### frontMask : uint

Access functions:

uint | frontMask() const
void | setFrontMask(uint mask)

Notifier signal:

void | frontMaskChanged(uint frontMask)

## Member Function Documentation

### QStencilMask::QStencilMask(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QStencilMask.

### QStencilMask::~QStencilMask()

Destroys the instance of QStencilMask.

### `[protected]` void QStencilMask::copy(const Qt3DCore::QNode *ref)